Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUSVUpdateableFocusAdapter

`java.lang.Object
java.awt.event.FocusAdapter
oracle.jbo.uicli.jui.JUSVFocusAdapter
oracle.jbo.uicli.jui.JUSVUpdateableFocusAdapter`

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.FocusListener

public class JUSVUpdateableFocusAdapter
extends JUSVFocusAdapter

This focus adapter class is registered by controls that should perform setAttribute on the binding directly upon focusOut. Bindings for TextField, ProgressBar, Slider, and ScrollBar register an instance of this adapter as a FocusListener on the associated control and upon focus out, the focusLost() performs a setAttribute() on the control binding to update the value from the control to the BC4J attribute if the attribute value has changed.

Field Summary

Fields inherited from class oracle.jbo.uicli.jui.JUSVFocusAdapter
`mAttrIndex, mControlBinding, mIterBinding, MULTI_ATTRIBUTE, panelBinding`

Constructor Summary
`JUSVUpdateableFocusAdapter(JUCtrlValueBinding controlBinding, int attrIndex)` Creates an instance of this adapter for the given control binding and registers an interest in the attribute at the given index (for most controls this value is zero) in the control binding.

Method Summary
`void` | `focusLost(java.awt.event.FocusEvent e)` Performs a setAttribute() on the control binding to save the changes made by the control to the attribute value.

Methods inherited from class oracle.jbo.uicli.jui.JUSVFocusAdapter
`focusGained`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUSVUpdateableFocusAdapter

    public JUSVUpdateableFocusAdapter(JUCtrlValueBinding controlBinding,
                                      int attrIndex)

  Creates an instance of this adapter for the given control binding and registers an interest in the attribute at the given index (for most controls this value is zero) in the control binding.

Method Detail

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Performs a setAttribute() on the control binding to save the changes made by the control to the attribute value.
  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`
  Overrides:
    `focusLost` in class `JUSVFocusAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.